goodbye <- function(name) {
  # Personalized greeter
  #
  # Barcelona Supercomputing Center / Earth Sciences Department (BSC-ES)
  #
  #
  # Args:
  #   name: the name people use to call you and/or the name your parents choose for you.
  #
  # Returns:
  #   A salute to name
  if(missing(name)) {
    print("[ERROR] Please provide your name", quote=FALSE)
  } else {
    sprintf("Goodbye, %s", name);
  }
}